from models import ListeDiscipline
def test_listeDiscipline(client):
    response = client.get("/")
    listeDiscipline = ListeDiscipline()
    listeDiscipline.loadFromJsonData(response.data)
    assert listeDiscipline.root is not None
    assert len(listeDiscipline.root) > 0
    assert listeDiscipline.root[0].id == 1
    assert listeDiscipline.root[0].intitule is not None
